Loading...
Searching...
No Matches
Gfx::CTerrain::TerrainMaterial Struct Reference

Material for ground surface. More...

`#include <src/graphics/engine/terrain.h>`

## Public Attributes

short | id = 0
| Unique ID.
std::string | texName
| Texture.
Math::Point | uv
| UV texture coordinates.
float | hardness = 0.0f
| Terrain hardness (defines e.g. sound of walking).
char | mat [4] = {}
| IDs of neighbor materials: up, right, down, left.

## Detailed Description

Material for ground surface.

## Member Data Documentation

## id

short Gfx::CTerrain::TerrainMaterial::id = 0

Unique ID.

## texName

std::string Gfx::CTerrain::TerrainMaterial::texName

Texture.

## uv

Math::Point Gfx::CTerrain::TerrainMaterial::uv

UV texture coordinates.

## hardness

float Gfx::CTerrain::TerrainMaterial::hardness = 0.0f

Terrain hardness (defines e.g. sound of walking).

## mat

char Gfx::CTerrain::TerrainMaterial::mat[4] = {}

IDs of neighbor materials: up, right, down, left.

The documentation for this struct was generated from the following file:

- src/graphics/engine/terrain.h